import { Dispatch, SetStateAction } from 'react';
interface UseYearPickerProps {
    value: Date;
    onChange: (date: Date) => void;
    preSelectionDate?: Date;
    setPreSelectionDate?: Dispatch<SetStateAction<Date>>;
    minDate?: Date;
    maxDate?: Date;
}
declare const useYearPicker: (props: UseYearPickerProps) => {
    yearsOnCalendar: Date[];
    prevDisabled: boolean;
    nextDisabled: boolean;
    showPreviousYears: () => void;
    showNextYears: () => void;
    selectYear: (date: Date) => void;
    isSameYearAsSelected: (date: Date) => boolean;
    isGreaterThanMaxDate: (date: Date) => boolean;
    isLessThanMinDate: (date: Date) => boolean;
};
export default useYearPicker;
